## mascyma 0.59-1ubuntu2

=== Makefile ===
# Copyright 2003, Matthias A. Benkard.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
LIBDIR = $(PREFIX)/lib/mascyma
SHAREDIR = $(PREFIX)/share
LOCALEDIR = $(SHAREDIR)/locale
GLADEDIR = $(SHAREDIR)/mascyma
DATADIR = $(SHAREDIR)/mascyma
MANDIR = $(SHAREDIR)/man

DESTDIR = $(PREFIX)
BINDEST = $(DESTDIR)/bin
SHAREDEST = $(DESTDIR)/share
LIBDEST = $(DESTDIR)/lib/mascyma
LOCALEDEST = $(SHAREDEST)/locale
GLADEDEST = $(SHAREDEST)/mascyma
DATADEST = $(SHAREDEST)/mascyma
MANDEST = $(SHAREDEST)/man

INSTALL = install
SED = sed
YADA = yada
DPKG_BUILDPACKAGE = dpkg-buildpackage -rfakeroot
CHMOD = chmod
RM = rm -f
GZIP = gzip --best

.PHONY: all clean po po-update deb install

all: pot-update po-update po domains mascyma mascyma.1.gz

po:
	cd po && "$(MAKE)" po && cd ..

po-update:
	cd po && "$(MAKE)" po-update && cd ..

pot-update:
	cd po && "$(MAKE)" pot-update && cd ..

domains:
	cd po && "$(MAKE)" domains && cd ..

clean:
	cd po && "$(MAKE)" clean && cd ..
	$(RM) mascyma
	$(RM) mascyma.1.gz

install: mascyma mascyma.1.gz
	$(INSTALL) -d $(BINDEST)
	$(INSTALL) -d $(LIBDEST)
	$(INSTALL) -d $(LOCALEDEST)
	$(INSTALL) -d $(GLADEDEST)
	$(INSTALL) -d $(DATADEST)
	$(INSTALL) -d $(MANDEST)/man1
	cd po && $(MAKE) install LOCALEDIR=$(LOCALEDIR) INSTALL=$(INSTALL) LOCALEDEST=$(LOCALEDEST) && cd ..
	
	$(INSTALL) --mode=755 mascyma $(BINDEST)/mascyma
	$(INSTALL) --mode=644 mascyma.glade $(GLADEDEST)/mascyma.glade
	$(INSTALL) --mode=644 mascyma.gladep $(GLADEDEST)/mascyma.gladep
	$(INSTALL) --mode=644 mascyma.xrc $(GLADEDEST)/mascyma.xrc
	$(INSTALL) --mode=644 mascyma.1.gz $(MANDEST)/man1/mascyma.1.gz
	
	#for directory in icons icons-big pixmaps; do\
	#	$(INSTALL) -d "$(DATADEST)/$${directory}";\
	#	for icon in data/$${directory}/*.png; do\
	#		$(INSTALL) --mode=644 "$${icon}" $(DATADEST)/$${directory}/`basename "$${icon}"`;\
	#	done;\
	#done
	
	for directory in core gui wxgui; do\
		$(INSTALL) -d "$(LIBDEST)/$${directory}";\
		for pyfile in $${directory}/*.py; do\
			$(INSTALL) --mode=644 "$${pyfile}" $(LIBDEST)/$${directory}/`basename "$${pyfile}"`;\
		done;\
	done

mascyma: mascyma.in
	$(SED) s:@PREFIX@:$(PREFIX):g\;s:@BINDIR@:$(BINDIR):g\;s:@LIBDIR@:$(LIBDIR):g\;s:@LOCALEDIR@:$(LOCALEDIR):g\;s:@GLADEDIR@:$(GLADEDIR):g\;s:@DATADIR@:$(DATADIR):g $< > $@
	-$(CHMOD) 0755 $@

mascyma.1.gz: mascyma.1
	$(GZIP) -c $< > $@

deb:
	$(YADA) rebuild
	$(DPKG_BUILDPACKAGE)
