## mascyma 0.59-1

=== debian/changelog ===
mascyma (0.59-1) unstable; urgency=low

  * New upstream release.

 -- Matthias Andreas Benkard <kirby-2@users.sourceforge.net>  Sun, 11 Apr 2004 15:52:53 +0200

mascyma (0.58-1) unstable; urgency=low

  * New upstream release.

 -- Matthias Andreas Benkard <kirby-2@users.sourceforge.net>  Sun, 11 Apr 2004 15:45:22 +0200

mascyma (0.56-1) unstable; urgency=low

  * New upstream release.

 -- Matthias Andreas Benkard <kirby-2@users.sourceforge.net>  Sun, 11 Apr 2004 01:52:50 +0200

mascyma (0.50-1) unstable; urgency=low

  * Add Build-Depends.

 -- Matthias Andreas Benkard <kirby-2@users.sourceforge.net>  Sat, 10 Apr 2004 23:59:03 +0200

mascyma (0.49-1) unstable; urgency=high

  * Do not install to /bin, /lib, /share etc. but to /usr.
  * Build the mascyma executable upon "make all" instead of "make install".
  * Add a valid Depends: line.

 -- Matthias Andreas Benkard <kirby-2@users.sourceforge.net>  Sat, 10 Apr 2004 22:31:47 +0200

mascyma (0.48) unstable; urgency=low

  * Initial Debian version.

 -- Matthias Andreas Benkard <kirby-2@users.sourceforge.net>  Sat, 10 Apr 2004 20:15:43 +0200
