## mascyma 0.59-1ubuntu2

=== debian/changelog ===
mascyma (0.59-1ubuntu2) edgy; urgency=low

  * Added mascyma.desktop.  Closes bug #49800

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Thu,  3 Aug 2006 23:50:59 +1000

mascyma (0.59-1ubuntu1) edgy; urgency=low

  * Added dep python-glade2.  Closes bug #54927
  * Bumped maxima from recommends to depends, so mascyma runs

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Wed,  2 Aug 2006 08:36:53 -0500
