=== debian/control ===
Source: mascyma
Maintainer: Matthias Andreas Benkard <mulk@mbenkard.de>
Section: math
Priority: extra
Standards-Version: 3.6.1
Build-Depends: make, intltool, dpkg-dev, gettext, gzip, yada, coreutils, yada (>= 0.48)
Build-Depends-Indep: yada (>= 0.48)
Origin: Mulky Software Repository

Package: mascyma
Architecture: all
Depends: python (>= 2.3.0), libwxgtk-python (>= 2.4.0.0) | python-gtk2 (>= 2.2.0-1), python-glade2, maxima
Description: A user-friendly frontend for MAXIMA
 Mascyma is (trying to be) a user-friendly graphical frontend for the Computer
 Algebra System GNU MAXIMA.  It is written in Python and provides two GUIs,
 one of which based on PyGTK, the other based on wxPython.
