## mascyma 0.59-1ubuntu3

=== debian/changelog ===
mascyma (0.59-1ubuntu3) intrepid; urgency=low

  * debian/packages:
    - Update Maintainer field as per spec (LP: #230350).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 23 May 2008 07:04:10 +0000
