=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: mascyma
-Maintainer: Matthias Andreas Benkard <mulk@mbenkard.de>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 Section: math
 Priority: extra
 Standards-Version: 3.6.1
-Build-Depends: make, intltool, dpkg-dev, gettext, gzip, yada, coreutils, yada (>= 0.48)
-Build-Depends-Indep: yada (>= 0.48)
+Build-Depends: make, intltool, dpkg-dev, gettext, gzip, yada, coreutils
 Origin: Mulky Software Repository
+Xsbc-Original-Maintainer: Matthias Andreas Benkard <mulk@mbenkard.de>
 
 Package: mascyma
 Architecture: all
