=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Generated automatically from debian/packages
-# by yada v0.48, of Wed, 28 Sep 2005
+# by yada v0.54, of Sun, 28 Oct 2007
 
 DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
 DEB_HOST_ARCH_OS     := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
@@ -121,7 +121,7 @@
 	@[ -f $(shell which yada) -a -f debian/rules ]
 	touch debian/build-arch-stamp
 
-debian/build-indep-stamp:
+debian/build-indep-stamp: debian/build-arch-stamp
 	@[ -f $(shell which yada) -a -f debian/rules ]
 	touch debian/build-indep-stamp
 
@@ -134,7 +134,7 @@
 	rm -rf debian/tmp-mascyma
 	umask 022 && install -d debian/tmp-mascyma/DEBIAN
 	install -d debian/tmp-mascyma/usr/share/doc/mascyma
-	umask 022; yada generate copyright \
+	umask 022; yada generate copyright mascyma \
 	  > debian/tmp-mascyma/usr/share/doc/mascyma/copyright
 	install -m 644 -p debian/changelog \
 	  debian/tmp-mascyma/usr/share/doc/mascyma/changelog.Debian
@@ -217,4 +217,3 @@
 	rm -f debian/build-stamp debian/build-arch-stamp debian/build-indep-stamp
 	@umask 022 \
 	  && export pwd="$$(pwd)" \
-	  && export TMPROOT="$$(pwd)/debian/tmp" \
